## zenlisp 2013.11.22

=== Makefile ===
# zenlisp Makefile
# By Nils M Holm, 2007, 2008
# See the file LICENSE for conditions of use.

V=	2

PREFIX?=/usr/local
BINOWN?=bin
BINGRP?=bin

BINDIR=	$(PREFIX)/bin
SHRDIR=	$(PREFIX)/share/zenlisp
MANDIR=	$(PREFIX)/man/man1
DOCDIR=	$(PREFIX)/share/doc/zenlisp
IMAGE=	$(PREFIX)/share/zenlisp/zenlisp

LIBS=	base.l imath.l iter.l nmath.l rmath.l

CFLAGS=		-O -DDEFAULT_IMAGE="\"$(IMAGE)\""
LINTFLAGS=	-Wall -ansi -pedantic -Wmissing-prototypes -DLINT

all:	zl zenlisp

zl:	zl.c
	$(CC) $(CFLAGS) -o zl zl.c

lint:
	$(CC) $(CFLAGS) $(LINTFLAGS) -o zl zl.c

zenlisp:	zl base.l
	echo '(load base) (dump-image zenlisp)' | ./zl -bi -n 12K

test:	zl
	rm -f delete-me
	ZENSRC=. ./zl -i <test.l | tee _test
	sed -i '' -e 's/^\* [0-9]*: /\* /' _test
	diff test.OK _test && rm _test delete-me

# Set $C to -c, if your system does not copy files by default.
C=
install: all
	strip zl
	install -o $(BINOWN) -g $(BINGRP) -d -m 0755 $(SHRDIR)
	install -o $(BINOWN) -g $(BINGRP) -d -m 0755 $(DOCDIR)
	install -o $(BINOWN) -g $(BINGRP) $C -m 0755 zl $(BINDIR)
	install -o $(BINOWN) -g $(BINGRP) $C -m 0644 zenlisp $(SHRDIR)
	install -o $(BINOWN) -g $(BINGRP) $C -m 0644 $(LIBS) $(SHRDIR)
	install -o $(BINOWN) -g $(BINGRP) $C -m 0644 src/*/*.l $(SHRDIR)
	install -o $(BINOWN) -g $(BINGRP) $C -m 0644 zl.1 $(MANDIR)
	install -o $(BINOWN) -g $(BINGRP) $C -m 0644 LICENSE $(SHRDIR)
	install -o $(BINOWN) -g $(BINGRP) $C -m 0644 zenlisp.txt $(DOCDIR)

clean:
	rm -f *.o *.a *.core core zl zenlisp _test delete-me \
		zenlisp$V.tgz

=== debian/changelog ===
zenlisp (2013.11.22-3) unstable; urgency=medium

  [ Ondřej Nový ]
  * d/copyright: Use https protocol in Format field

  [ Barak A. Pearlmutter ]
  * Use secure URI in Homepage field.
  * Bump debhelper from old 11 to 13.
  * Set debhelper-compat version in Build-Depends.
  * Replace spaces in short license names with dashes.
  * Bump policy to 4.5.0, no changes required

 -- Barak A. Pearlmutter <bap@debian.org>  Sat, 15 Aug 2020 15:59:17 +0100

zenlisp (2013.11.22-2) unstable; urgency=medium

  * Pass prefix at build time.

 -- Barak A. Pearlmutter <bap@debian.org>  Fri, 21 Feb 2014 14:59:29 +0000

zenlisp (2013.11.22-1) unstable; urgency=low

  * Initial release (closes: #736420)

 -- Barak A. Pearlmutter <bap@debian.org>  Thu, 23 Jan 2014 13:47:45 +0000

=== debian/control ===
Source: zenlisp
Section: lisp
Priority: optional
Maintainer: Barak A. Pearlmutter <bap@debian.org>
Build-Depends: debhelper-compat (= 13)
Standards-Version: 4.5.0
Homepage: https://www.t3x.org/
Vcs-Git: https://salsa.debian.org/debian/zenlisp.git
Vcs-Browser: https://salsa.debian.org/debian/zenlisp

Package: zenlisp
Architecture: any
Multi-Arch: foreign
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Interpreter for purely symbolic, pure, lexically scoped dialect of LISP
 Zenlisp is an interpreter for a purely symbolic, side effect-free,
 lexically scoped dialect of LISP.  It may be considered an
 implementation of pure LISP plus global definitions. Zenlisp is
 derived from ArrowLISP.

=== debian/rules ===
#!/usr/bin/make -f
#DH_VERBOSE = 1

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
		dh $@

PASS_TO_MAKE = prefix=/usr MANDIR=/usr/share/man/man1

override_dh_auto_build:
	dh_auto_build -- $(PASS_TO_MAKE)

override_dh_auto_install:
	dh_auto_install -- $(PASS_TO_MAKE)
	-rm --verbose debian/zenlisp/usr/share/zenlisp/LICENSE

get-orig-source:
	wget --quiet http://www.t3x.org/files/zenlisp.zip
	mk-origtargz -v $$(unzip -p zenlisp.zip '*/zl.c' \
		| egrep 'define.*RELEASE' \
		| tr '"-' ' .' \
		| awk '{print $$3}') zenlisp.zip

=== debian/watch ===
version=3
# http://www.t3x.org/files/zenlisp.zip

## This runs the check for the current version.
# eval $(tail -3 debian/watch | sed 's/^#//' | sed 's/\\$//')

## This checks for the current version.
# rm -f zenlisp.zip ; \
# wget --quiet http://www.t3x.org/files/zenlisp.zip; \
# unzip -p zenlisp.zip '*/zl.c' | egrep 'define.*RELEASE'
